﻿require 'map'
require 'output'
require 'names'


function love.load()
	
	loadMap('mapstring.lua')

	width = love.graphics.getWidth() --width of window
	height = love.graphics.getHeight() --height of window

	creditstext = {y=0,speed=100}




	introfont = love.graphics.newFont("yoster.ttf",90)
	love.graphics.setFont(introfont)

    	state = "game"

	namegeneration()
	--test = Player.create(500,180)


	playertest = {}
	--playertest.x = 12 * playertilex
	--playertest.y = 12 * playertiley
	playertest.name = string.upper(firstname).." "..string.upper(lastname)
	playertest.hp = 100
	playertest.dungeonlevel = 1

	tilesheet = love.graphics.newImage( "Alloy_curses_12x12.png" )

	local tileW, tileH = 12,12
	local tilesetW, tilesetH = tilesheet:getWidth(), tilesheet:getHeight()

	playerquad = love.graphics.newQuad(0,  48, tileW, tileH, tilesetW, tilesetH)


	--playertilex = 27
	--playertiley = 14
	playertilex = 17
	playertiley = 15

	--playertest.x = 12 * (playertilex-1) + 200
	--playertest.y = 12 * (playertiley-1)


end


function love.draw()

	if state == "game" then
		output.game()
		--camera:set(player.grid_x,player.grid_y)
	    	--game()
		--output.game()
		--camera:unset()
		--namegeneration()
		output.stats()
		--love.graphics.print(playertest.name,200,200)
		love.graphics.draw(tilesheet, playerquad, 12*(playertilex-1)+200, 12*(playertiley-1))
		--drawplayer()
		
		--test:draw(x,y)
		--mapcheck()
		--
		loadMap('mapstring.lua')

		playercheck(dx,dy)

		--test:coordinate(x,y)

    	elseif state == "menu" then
		--creditstext.y = 0
		--output.intro()
		--output.mainmenumouse()
		--output.intro_movement()
		--output.selectsong()
		--output.sound()
		state = 'game'
		--output.mainmenu()
	elseif state == "credits" then
		output.credits()
	elseif state == "story" then
		output.story()
    	end

 

end


function love.update(dt)

	if state == "game" then
        	--output.game()
		
    	elseif state == "menu" then
		output.intro_movement(dt)
	elseif state == "credits" then
		output.credits_movement(dt)
	elseif state == "story" then
		output.credits_movement(dt)
	end

end



function story() --WORK AT THIS
	love.graphics.clear( )
	love.graphics.print("this works durr durr",300,300)
end





function love.keypressed(key) --MOVEMENT FOR PLAYER ON GRID

	if state == "game" then	
		

		if key == "up" then

			if playercheck(0,-1) then

				--playertest.y = playertest.y - tile
				playertiley = playertiley - 1
			
			end


		
 		elseif key == "down" then

			if playercheck(0,1) then

				playertiley = playertiley + 1

			end
    			--if testMap(0,1) then
        		--player.grid_y = player.grid_y + 32
			--test:move(0,1)
			--camera:setPosition(0, player.grid_y - 322)
        		--end
    		elseif key == "left" then
			
			if playercheck(-1,0) then

				playertilex = playertilex - 1
			end
				--if testMap(-1,0) then
            		--player.grid_x = player.grid_x - 32
	    		--camera:setPosition(player.grid_x - 32,0)
        		--end
			--test:move(-1,0)
    		elseif key == "right" then
			
			if playercheck(1,0) then

				playertilex = playertilex + 1
			end
    			--if testMap(1,0) then
        		--player.grid_x = player.grid_x + 32
			--test:move(1,0)
			--camera:setPosition(player.grid_x + 32,0)
        		--end
		end

	elseif state == "menu" then

    		if key == "return" then
    			state = "game"
   		elseif key == "c" then
    			state = "credits"   	
    		elseif key == "q" then
    			love.event.quit()   	
    		elseif key == "s" then
    			state = "story" 	
    		end
	end

end

