local tileString = [[
#................................................#
..................................................
.....###########.......#####......................
.....#         #########   #......................
.....#                     #......................
.....#         #########   #......................
.....##### #####.......## ##......................
.........# #............# #.......................
.........# #.......###### #.......................
.........# #.......#      #.......................
.........# #.......# ######.......................
.........# #.......# #..............##########....
....###### ######### #######........#        #....
....#                      ##########        #....
....#                                        #....
....#                      ##########        #....
....################# ######........#        #....
....................# #.............##########....
....................# #...........................
....................# #...........................
....................# #...........................
............#########.#############...............
............#                     #...............
............#                     #...............
............#                     #...............
............#                     #...............
............#######################...............
..................................................
..................................................
#................................................#

]]

--  50 X 30 map

local quadInfo = {
  { '.', 0, 0 }, -- floor
  { ' ', 120, 180 }, --10,15 -> 120,180 DONE
  { '#', 12, 132 }, --1,11 -> 12,132 DONE
  { ']', 544, 32 }, -- wall right top corner
  { '|', 32, 64 }, -- wall left and right
  { '-', 96,32 }, -- wall top and bottom
  { ':', 576,352 }, --corner right side bottom 18/11
  { ';', 32,224 }, -- corner left side bottom
  { '=', 416,256}, --floortilebetween rooms
  { '@', 0,48 }
}

newMap(12,12,'Alloy_curses_12x12.png',tileString,quadInfo)
